JaxbPropertiesElement (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbPropertiesElement

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbPropertiesElement

    public class JaxbPropertiesElement

extends Object

Java class for properties-element complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="properties-element">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice maxOccurs="unbounded" minOccurs="0">
               <element name="property" type="{http://www.hibernate.org/xsd/hibernate-mapping}property-element"/>
               <element name="many-to-one" type="{http://www.hibernate.org/xsd/hibernate-mapping}many-to-one-element"/>
               <element name="component" type="{http://www.hibernate.org/xsd/hibernate-mapping}component-element"/>
               <element name="dynamic-component" type="{http://www.hibernate.org/xsd/hibernate-mapping}dynamic-component-element"/>
             </choice>
           </sequence>
           <attribute name="insert" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
           <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="node" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="optimistic-lock" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
           <attribute name="unique" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
           <attribute name="update" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected Boolean` | `insert`
`protected String` | `name`
`protected String` | `node`
`protected Boolean` | `optimisticLock`
`protected List<Object>` | `propertyOrManyToOneOrComponent`
`protected Boolean` | `unique`
`protected Boolean` | `update`

Constructor Summary
`JaxbPropertiesElement()`

Method Summary
`String` | `getName()` Gets the value of the name property.
`String` | `getNode()` Gets the value of the node property.
`List<Object>` | `getPropertyOrManyToOneOrComponent()` Gets the value of the propertyOrManyToOneOrComponent property.
`boolean` | `isInsert()` Gets the value of the insert property.
`boolean` | `isOptimisticLock()` Gets the value of the optimisticLock property.
`boolean` | `isUnique()` Gets the value of the unique property.
`boolean` | `isUpdate()` Gets the value of the update property.
`void` | `setInsert(Boolean value)` Sets the value of the insert property.
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setNode(String value)` Sets the value of the node property.
`void` | `setOptimisticLock(Boolean value)` Sets the value of the optimisticLock property.
`void` | `setUnique(Boolean value)` Sets the value of the unique property.
`void` | `setUpdate(Boolean value)` Sets the value of the update property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### propertyOrManyToOneOrComponent

    protected List<Object> propertyOrManyToOneOrComponent

### insert

    protected Boolean insert

### name

    protected String name

### node

    protected String node

### optimisticLock

    protected Boolean optimisticLock

### unique

    protected Boolean unique

### update

    protected Boolean update

Constructor Detail

### JaxbPropertiesElement

    public JaxbPropertiesElement()

Method Detail

### getPropertyOrManyToOneOrComponent

    public List<Object> getPropertyOrManyToOneOrComponent()

  Gets the value of the propertyOrManyToOneOrComponent property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the propertyOrManyToOneOrComponent property.

  For example, to add a new item, do as follows:

          getPropertyOrManyToOneOrComponent().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbComponentElement` `JaxbDynamicComponentElement` `JaxbPropertyElement` `JaxbManyToOneElement`

### isInsert

    public boolean isInsert()

  Gets the value of the insert property.

  Returns:
    possible object is `Boolean`

### setInsert

    public void setInsert(Boolean value)

  Sets the value of the insert property.

  Parameters:
    `value` - allowed object is `Boolean`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getNode

    public String getNode()

  Gets the value of the node property.

  Returns:
    possible object is `String`

### setNode

    public void setNode(String value)

  Sets the value of the node property.

  Parameters:
    `value` - allowed object is `String`

### isOptimisticLock

    public boolean isOptimisticLock()

  Gets the value of the optimisticLock property.

  Returns:
    possible object is `Boolean`

### setOptimisticLock

    public void setOptimisticLock(Boolean value)

  Sets the value of the optimisticLock property.

  Parameters:
    `value` - allowed object is `Boolean`

### isUnique

    public boolean isUnique()

  Gets the value of the unique property.

  Returns:
    possible object is `Boolean`

### setUnique

    public void setUnique(Boolean value)

  Sets the value of the unique property.

  Parameters:
    `value` - allowed object is `Boolean`

### isUpdate

    public boolean isUpdate()

  Gets the value of the update property.

  Returns:
    possible object is `Boolean`

### setUpdate

    public void setUpdate(Boolean value)

  Sets the value of the update property.

  Parameters:
    `value` - allowed object is `Boolean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.